- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
pdftron::PDF::Proxy Class Reference

`#include <HTML2PDF.h>`

## Public Types
enum | Type { e_default, e_none, e_http, e_socks5 }

## Public Member Functions
| Proxy ()
| ~Proxy ()
void | SetType (Type type)
void | SetHost (const UString &host)
void | SetPort (int port)
void | SetUsername (const UString &username)
void | SetPassword (const UString &password)
void | Destroy ()

## Detailed Description

Proxy settings to be used when loading content from web pages.

Note
  These Proxy settings will only be used if type is not e_default.

Definition at line 414 of file HTML2PDF.h.

## Member Enumeration Documentation

enum pdftron::PDF::Proxy::Type

Set the type of proxy to use.

Parameters

  type | - If e_default, use whatever the html2pdf library decides on. If e_none, explicitly sets that no proxy is to be used. If e_http or e_socks5 then the corresponding proxy protocol is used.

Enumerator
e_default |
e_none |
e_http |
e_socks5 |

Definition at line 434 of file HTML2PDF.h.

## Constructor & Destructor Documentation

pdftron::PDF::Proxy::Proxy | ( |  | ) |

Default constructor

pdftron::PDF::Proxy::~Proxy | ( |  | ) |

Destructor

## Member Function Documentation

void pdftron::PDF::Proxy::Destroy | ( |  | ) |

Frees the native memory of the object.

void pdftron::PDF::Proxy::SetHost | ( | const UString & | host | ) |

Set the proxy host to use.

Parameters

  host | - String defining the host name, e.g. "myserver" or "www.xxx.yyy.zzz"

void pdftron::PDF::Proxy::SetPassword | ( | const UString & | password | ) |

Set the password to use when logging into the proxy with username

Parameters

  password | - The password to use, e.g. "bart".

void pdftron::PDF::Proxy::SetPort | ( | int | port | ) |

Set the port number to use

Parameters

  port | - A valid port number, e.g. 3128.

void pdftron::PDF::Proxy::SetType | ( | Type | type | ) |

void pdftron::PDF::Proxy::SetUsername | ( | const UString & | username | ) |

Set the username to use when logging into the proxy

Parameters

  username | - The login name, e.g. "elbarto".

The documentation for this class was generated from the following file:

- PDF/HTML2PDF.h